# Class UserNotFoundException

Namespace
  adas_core.Domain.Exceptions

Assembly
  adas-core.Domain.dll

Represents a business exception that is thrown when a requested user cannot be found.

    public class UserNotFoundException : BusinessException, ISerializable

Inheritance
  object
  Exception
  AggregateException
  BusinessException
  UserNotFoundException

Implements
  ISerializable

Inherited Members
  AggregateException.Flatten()
  AggregateException.GetBaseException()
  AggregateException.Handle(Func<Exception, bool>)
  AggregateException.ToString()
  AggregateException.InnerExceptions
  AggregateException.Message
  Exception.GetType()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits from BusinessException to signal user lookup failures within the business domain.

## Constructors

### UserNotFoundException(string)

    public UserNotFoundException(string username)

#### Parameters

`username` string

### UserNotFoundException(string, Exception)

    public UserNotFoundException(string username, Exception exception)

#### Parameters

`username` string
`exception` Exception